package com.dbnt.sims.menuMgt.mapper;

import com.dbnt.sims.menuMgt.model.MenuMgt;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MenuMgtMapper {

  List<MenuMgt> selectMenuMgtList(MenuMgt menuMgt);

  Integer selectMenuMgtListCnt(MenuMgt menuMgt);

  List<MenuMgt> selectAccessMenuListWhereUserSeq(Integer userSeq);

  List<MenuMgt> selectMenuMgtListToAccessAuth(MenuMgt menuMgt);
  Integer selectMenuMgtListToAccessAuthCnt(MenuMgt menuMgt);
}
